package com.zhgd.xmgl.modules.basicdata.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhgd.xmgl.modules.basicdata.dto.ProjectDeviceDto;
import com.zhgd.xmgl.modules.basicdata.dto.ProjectDto;
import com.zhgd.xmgl.modules.basicdata.entity.Project;
import com.zhgd.xmgl.modules.basicdata.vo.ProjectVo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 项目信息
 * @author： pds
 * @date：   2023-02-15
 * @version： V1.0
 */
public interface IProjectService extends IService<Project> {

    Page<ProjectDto> getPageList(Map<String, Object> map);

    boolean saveInfo(ProjectVo projectVo);

    boolean examine(Project project, Integer suggest);

    List<String> getSnListForGov(String governmentSn);

    Page<ProjectDeviceDto> pageListForGov(Map<String, Object> map);
}
